@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

:root {
    font-family: "Open Sans", sans-serif;

    --navbar-height: 62px;
    --border-radius: 15px;

    --default-transition-time: 0.2s;

    --list-icon-type: square;

    --main-text-color: #fff;
    --normal-text-color: rgba(190, 190, 190, 0.9);
    --link-text-color: rgba(245, 245, 245, 0.9);
    --link-hover-text-color: rgba(240, 240, 240, 0.7);
    --chroma1-text-color: linear-gradient(rgb(192, 57, 255), rgb(69, 56, 255));
    --chroma2-text-color: linear-gradient(rgb(93, 57, 255), rgb(73, 35, 241));

    --input-input-color: rgba(255, 255, 255, 0.9);
    --input-svg-color: rgba(200, 200, 200, 0.4);

    --input-button-background-hover: rgba(162, 162, 162, 0.3);
    --input-button-background-active: rgba(162, 162, 162, 0.2);
    --input-button-svg-color: rgba(235, 235, 235, 0.9);

    --primary-default-text-color: rgb(255, 255, 255);
    --primary-default-background-color: rgb(0, 110, 255);
    --chroma1-default-text-color: rgb(255, 255, 255);
    --chroma1-default-background-color: linear-gradient(160deg, #0047bb, #00abbe);

    --panel-border-color: rgba(200, 200, 200, 0.3);
    --main-background-color: rgb(0, 0, 0);
    --panel-background: rgba(170, 170, 170, 0.1);
    --panel-background-hover: rgba(200, 200, 200, 0.1);
    --panel-background-active: rgba(190, 190, 190, 0.2);
    --footer-background-color: rgba(0, 0, 0, 0.2);
    --navbar-mobile-menu-svg-color: rgb(240, 240, 240, 0.9);

    --background-blur-radius: 5px;
    --navbar-blur-radius: 20px;
    --panel-blur-radius: 10px;
    --footer-blur-radius: 15px;
}

/*==============================================*/
/* Base                                         */
/*==============================================*/

html, body {
    margin: 0;
    width: 100%;
    height: 100%;
    background-color: var(--main-background-color);
}

div.background {
    width: 100%;
    background-size: cover;
}

.content-blurry {
    backdrop-filter: blur(var(--background-blur-radius));
    background: linear-gradient(to bottom, transparent, var(--main-background-color));
}

section {
    padding: 60px 0px;
}

section > .content {
    display: flex;
    max-width: 1360px;
    width: calc(100% - 60px);
    margin: 0 auto;
    padding: 0px 30px;
}

ul {
    color: var(--link-text-color);
    list-style-type: var(--list-icon-type);
}

li {
    padding: 2px;
}

.col-1-2 {
    width: 50%;
}

.col-1-3 {
    width: calc(100% / 3);
}

.col-1-4 {
    width: 25%;
}

.btn {
    display: block;
    width: fit-content;
    text-decoration: none;
    padding: 10px 20px;
    border-radius: 60px;
    transition: var(--default-transition-time);
}

.btn:hover {
    transform: scale(0.95);
}

.btn:active {
    transform: scale(0.9);
}

.btn svg {
    height: 16px;
    padding: 0px 0px 3px 5px;
    vertical-align: middle;
}

.btn-primary { color: var(--primary-default-text-color); background-color: var(--primary-default-background-color); }
.btn-primary svg { fill: var(--primary-default-text-color); }

.btn-chroma { color: var(--chroma1-default-text-color); background: var(--chroma1-default-background-color); }
.btn-chroma svg { fill: var(--chroma1-default-text-color); }

.navbar {
    position: fixed;
    z-index: 10;
    width: 100vw;
    height: var(--navbar-height);
    backdrop-filter: blur(var(--navbar-blur-radius));
}

/*==============================================*/
/* Navbar                                       */
/*==============================================*/

.navbar hr {
    width: 0px;
    height: 37px;
    border: none;
    border-left: 1px solid var(--panel-border-color);
    margin: 0px 8px;
}

.navbar > .content {
    display: flex;
    max-width: 1540px;
    width: calc(100% - 40px);
    padding: 0px 20px;
    height: 100%;
    margin: 0 auto;
    justify-content: space-between;
    align-items: center;
}

.navbar .logo {
    display: flex;
    width: fit-content;
    align-items: center;
    column-gap: 6px;
}

.navbar .logo img.icon {
    height: 42px;
}

.navbar .logo img.text {
    height: 22px;
}

.navbar .search {
    position: relative;
    max-width: 420px;
    width: 100%;
    height: 41px;
    border: 1px solid var(--panel-border-color);
    border-radius: 50px;
}

.navbar .search svg {
    position: absolute;
    left: 14px;
    top: 50%;
    transform: translateY(-50%);
    height: 16px;
    fill: var(--input-svg-color);
}

.navbar .search input {
    width: calc(100% - 58px);
    height: 100%;
    padding: 0px 19px 0px 39px;
    font-weight: 500;
    font-size: 15px;
    border: none;
    outline: none;
    color: var(--input-input-color);
    border-radius: 50px;
    background-color: transparent;
    transition: var(--default-transition-time);
}

.navbar .search input:hover {
    background-color: var(--panel-background-hover);
}

.navbar .search input:focus {
    background-color: var(--panel-background-active);
}

.navbar .mobile-menu {
    display: none;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    padding: 6px 7px;
}

.navbar .mobile-menu svg {
    height: 24px;
    fill: var(--navbar-mobile-menu-svg-color);
}

.navbar .links {
    display: flex;
    align-items: center;
    column-gap: 7px;
    transition: var(--default-transition-time);
}

.navbar .links > a,
.navbar .links li a,
.navbar .links span.name {
    text-decoration: none;
    font-weight: 500;
    font-size: 15px;
    color: var(--link-text-color);
    transition: var(--default-transition-time);
    padding: calc(var(--navbar-height) / 2 - 10px) 5px;
    cursor: pointer;
}

.navbar .links li a {
    padding: 0;
}

.navbar .links > a:hover,
.navbar .links li a:hover,
.navbar .links span:hover {
    color: var(--link-hover-text-color);
}

.navbar .links .link-dropdown {
    padding-bottom: 2px;
}

.navbar .links .link-dropdown .dropdown-arrow {
    vertical-align: center;
    fill: var(--link-text-color);
    height: 13px;
    transition: var(--default-transition-time);
}

.navbar .links .link-dropdown:hover .dropdown-arrow {
    transform: rotate(-90deg);
}

.navbar .links .link-dropdown:hover .dropdown {
    display: block;
}

.navbar .links .link-social svg {
    height: 32px;
    fill: var(--link-text-color);
    transition: var(--default-transition-time);
}

.navbar .links .link-social:hover svg {
    fill: var(--link-hover-text-color);
}

.navbar .dropdown {
    display: none;
    backdrop-filter: blur(var(--navbar-blur-radius));
    border-bottom: 1px solid var(--panel-border-color);
    cursor: default;
    animation: grow-down 0.2s ease-in-out;
    transform-origin: top center
}

.navbar .dropdown.full-size {
    position: absolute;
    left: 0px;
    top: var(--navbar-height);
    width: 100%;
}

.navbar .dropdown.full-size > .content {
    display: flex;
    flex-wrap: wrap;
    max-width: 1400px;
    width: calc(100% - 40px);
    padding: 20px;
    margin: 0 auto;
}

.navbar .dropdown .col {
    padding: 15px;
    width: calc(25% - 43px);
}

.navbar .dropdown h3 {
    font-size: 16px;
    color: var(--main-text-color);
}

.navbar .dropdown p {
    color: var(--normal-text-color);
    font-weight: 500;
    font-size: 14px;
    padding-bottom: 10px;
}

.navbar .dropdown hr {
    height: unset;
    border-width: 1px;
}

/*==============================================*/
/* Sections                                     */
/*==============================================*/

#welcome > .content {
    padding: 200px 0px 150px 0px;
    gap: 20px;
}

#welcome .text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    row-gap: 26px;
}

#welcome .example {
    display: flex;
    justify-content: center;
    align-items: center;
}

#welcome .window {
    width: 560px;
}

#welcome h1, #welcome p {
    margin: 0;
    color: var(--main-text-color);
}

#welcome h1 {
    font-size: 42px;
}

#welcome span.gradient {
    background: var(--chroma1-text-color);
    background-clip: text;
    color: transparent;
}

/*==============================================*/

#features > .content {
    gap: 20px;
    flex-wrap: wrap;
    justify-content: center;
}

#features .item {
    display: flex;
    flex-direction: column;
    min-width: 200px;
    max-width: 280px;
    width: calc(25% - 10px);
    padding: 20px 20px;
    border-radius: var(--border-radius);
    background-color: var(--panel-background);
    backdrop-filter: blur(var(--panel-blur-radius));
    cursor: pointer;
    transition: var(--default-transition-time);
}

#features .item:hover {
    background-color: var(--panel-background-hover);
}

#features img {
    height: 100px;
    align-self: center;
    margin: 20px 0px;
}

#features h2 {
    margin: 0;
    color: var(--main-text-color);
}

#features p {
    margin: 9px 0px 0px 0px;
    color: var(--normal-text-color);
    font-size: 15px;
}

/*==============================================*/

#howto > .content {
    gap: 20px;
    flex-wrap: wrap;
    align-items: center;
}

#howto .col {
    width: calc(50% - 10px);
}

#howto .blocks {
    display: flex;
    flex-wrap: wrap;
    border-radius: var(--border-radius);
    gap: 16px;
}

#howto .blocks .block {
    width: calc(50% - 48px);
    background-color: var(--panel-background);
    backdrop-filter: blur(var(--panel-blur-radius));
    border-radius: var(--border-radius);
    padding: 20px;
    transition: var(--default-transition-time);
    cursor: pointer;
}

#howto .blocks .block:hover {
    background-color: var(--panel-background-hover);
}

#howto .block h3 {
    color: var(--main-text-color);
    font-size: 19px;
    margin: 0;
}

#howto .block span {
    font-size: 23px;
    background: var(--chroma2-text-color);
    background-clip: text;
    color: transparent;
}

#howto .block p {
    margin: 11px 0px 0px 0px;
    font-size: 14px;
    color: var(--normal-text-color);
    line-height: 1.5;
}

#howto iframe {
    width: 100%;
    height: 100%;
    aspect-ratio: 16 / 9;
    border: none;
    border-radius: var(--border-radius);
}

/*==============================================*/
/* Footer                                       */
/*==============================================*/

.footer {
    width: 100%;
    padding-top: 10px;
    backdrop-filter: blur(var(--footer-blur-radius));
    background-color: var(--footer-background-color);
}

.footer > .content {
    max-width: 1520px;
    width: calc(100% - 20px);
    margin: 0 auto;
    padding: 0px 10px;
}

.footer .cols {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.footer .col {
    min-width: 218px;
    width: calc(25% - 24px);
    padding: 16px 12px;
}

.footer .links ul {
    padding-left: 19px;
}

.footer .links a {
    text-decoration: none;
    font-size: 16px;
    font-weight: 500;
    color: var(--link-text-color);
    transition: var(--default-transition-time);
}

.footer .links a:hover {
    color: var(--link-hover-text-color);
}

.footer .col h3 {
    margin: 0;
    color: var(--main-text-color);
}

.footer .col p {
    color: var(--normal-text-color);
    font-size: 15px;
    line-height: 1.5;
}

.footer .email-input {
    position: relative;
    height: 45px;
    border-radius: 50px;
    border: 1px solid var(--panel-border-color);
}

.footer .email-input input {
    width: calc(100% - 68px);
    height: 100%;
    padding: 0px 50px 0px 18px;
    font-size: 15px;
    color: var(--input-input-color);
    border: none;
    outline: none;
    border-radius: 50px;
    transition: var(--default-transition-time);
    background-color: transparent;
}

.footer .email-input input:hover {
    background-color: var(--panel-background-hover);
}

.footer .email-input input:focus {
    background-color: var(--panel-background-active);
}

.footer .email-input button {
    position: absolute;
    right: 5px;
    top: 50%;
    transform: translateY(-50%);
    border: none;
    outline: none;
    width: 38px;
    height: 38px;
    border-radius: 50%;
    background-color: transparent;
    cursor: pointer;
    transition: var(--default-transition-time);
}

.footer .email-input button:hover {
    background-color: var(--input-button-background-hover);
}

.footer .email-input button:active {
    background-color: var(--input-button-background-active);
}

.footer .email-input button:not(:active) svg {
    animation: fly-far 1s;
}

.footer .email-input button svg {
    position: absolute;
    left: 48%;
    top: 50%;
    transform: translate(-50%, -50%);
    height: 18px;
    fill: var(--input-button-svg-color);
}

.footer .copyright {
    padding: 10px 0px;
    color: var(--main-text-color);
    font-size: 14px;
    font-weight: 500;
    text-align: center;
}

/*==============================================*/
/* Window                                       */
/*==============================================*/

.window {
    aspect-ratio: 16 / 9;
    min-width: 360px;
    border-radius: var(--border-radius);
    backdrop-filter: blur(var(--panel-blur-radius));
    background-color: var(--panel-background);
}

.window .toolbar {
    display: flex;
    width: calc(100% - 20px);
    height: 31px;
    padding: 0px 10px;
    align-items: center;
    justify-content: space-between;
}

.window .controls {
    display: flex;
    align-items: center;
    column-gap: 6px;
}

.window .controls span {
    display: block;
    width: 12px;
    height: 12px;
    border-radius: 50%;
    cursor: pointer;
}

.window span.red { background-color: rgb(243, 18, 96); }
.window span.orange { background-color: rgb(245, 165, 36); }
.window span.green { background-color: rgb(23, 201, 100); }

.window .title {
    text-align: center;
    color: var(--normal-text-color);
    font-size: 13px;
    font-weight: 400;
}

.window .content {
    padding: 10px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    overflow: scroll;
}

.window .content pre {
    margin: 0;
}

/*==============================================*/
/* Syntax Highlight Colors                      */
/*==============================================*/

.hljs { color: #ffffff; }
.hljs-bullet { color: #ffffff; }
.hljs-attr { color: #9653e6; }
.hljs-string { color: #65f260; }
.hljs-literal { color: #eab84b; }

/*==============================================*/
/* Animations                                   */
/*==============================================*/

@keyframes fly-far {
    0% {
        opacity: 1;
        transform: translate(-50%, -50%);
    }
    25% {
        opacity: 1;
        transform: translate(-90%, 10%);
    }
    100% {
        opacity: 0;
        transform: translate(40%, -100%);
    }
}

@keyframes grow-down {
    0% {
        transform: scaleY(0);
    }
    100% {
        transform: scaleY(1);
    }
}

@keyframes fadein {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@keyframes fadein-left {
    0% {
        transform: translateX(-100%);
        opacity: 0;
    }
    100% {
        transform: translateX(0%);
        opacity: 1;
    }
}

@keyframes fadein-right {
    0% {
        transform: translateX(100%);
        opacity: 0;
    }
    100% {
        transform: translateX(0%);
        opacity: 1;
    }
}

@keyframes fadein-top {
    0% {
        transform: translateY(-100%);
        opacity: 0;
    }
    100% {
        transform: translateY(0%);
        opacity: 1;
    }
}

@keyframes fadein-bottom {
    0% {
        transform: translateY(100%);
        opacity: 0;
    }
    100% {
        transform: translateY(0%);
        opacity: 1;
    }
}

/*==============================================*/
/* Resposivity Rules                            */
/*==============================================*/

@media only screen and (max-width: 1230px) {
    .navbar .search {
        width: 25%;
    }
}

@media only screen and (max-width: 1100px) {
    #welcome > .content {
        flex-direction: column;
        padding: 100px 0px 0px 0px;
        row-gap: 50px;
    }

    #welcome .col {
        width: calc(80%);
        margin: 0 auto;
    }

    #howto > .content {
        flex-direction: column;
    }

    #howto .col {
        width: 90%;
    }
}

@media only screen and (max-width: 950px) {
    .navbar .logo img.text {
        display: none;
    }
}

@media only screen and (max-width: 750px) {
    .navbar .search {
        display: none;
    }

    .navbar .logo img.text {
        display: block;
    }
}

@media only screen and (max-width: 600px) {
    .navbar .logo img.text {
        display: none;
    }

    #howto .blocks .block {
        width: 100%;
    }
}

@media only screen and (max-width: 450px) {
    .mobile-visible {
        transform: translateY(0%) !important;
    }
    
    .navbar .mobile-menu {
        display: flex;
    }

    .navbar .logo img.text {
        display: block;
    }

    .navbar hr {
        display: none;
    }

    .navbar .links {
        z-index: -2;
        transform: translateY(-200%);
        position: absolute;
        left: 0px;
        top: var(--navbar-height);
        align-items: normal;
        width: 100%;
        flex-direction: column;
        backdrop-filter: blur(var(--navbar-blur-radius));
    }

    .navbar .links a,
    .navbar .link-dropdown {
        width: fit-content;
        padding: 11px 25px !important;
    }

    .navbar .link-dropdown span.name {
        padding: 0;
    }

    .navbar .dropdown.full-size {
        top: unset !important;
    }

    .navbar .full-size > .content {
        flex-direction: column;
    }
    
    .navbar .dropdown .col {
        width: calc(100% - 43px);
    }

    .navbar .dropdown h3 {
        margin: 0px 0px 10px 0px;
    }

    .navbar .dropdown ul {
        list-style-type: none;
        padding: 0;
        margin: 0;
    }
}